<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<%@ page contentType="text/html; charset=Shift_JIS" %>
<%@ page import="jp.co.orangesoft.xgate.XGateConfig" %>
<%@ taglib prefix="c" uri="/WEB-INF/tlds/c.tld" %>

<HTML>
<HEAD>
<TITLE>
xGateログイン
</TITLE>
<link rel="stylesheet" href="<c:url value="/css/default.css"/>" type="text/css">
<link rel="stylesheet" href="<c:url value="/css/pc_login.css"/>" type="text/css">
<META http-equiv=Content-Type content="text/html; charset=Shift_JIS">

<%
	XGateConfig conf = XGateConfig.getInstanse(application);
	String passwordMessage = "キーコード";
	if(conf.isKeycodeLessMode()) passwordMessage = "パスワード";
    
    String subno = null;//request.getParameter("id");
    if(subno == null) subno = "";
    
	String autoComplete = "on";
    if(conf.isCustomerTBS()) autoComplete = "off";

	String passwordAlert = "以下の項目を入力してください\\n\\nキーコード";
	if(conf.isKeycodeLessMode()) passwordAlert = "以下の項目を入力してください\\n\\nパスワード";
%>

<script type="text/javascript">
<!--
function postData(form1) {
  var contents = form1;
  if(contents.subno.value.length == 0){
    alert("以下の項目を入力してください\n\nユーザー名");
    contents.subno.select();
    return false;
  }
  if(contents.password.value.length == 0){
    alert("<%=passwordAlert%>");
    contents.password.select();
    return false;
  }
  return true;
}
-->
</script>

</HEAD>

<BODY onLoad="document.form1.subno.focus()">
	
<form name="form1" action="<c:url value="/xGate"/>" method="post" onSubmit="return postData(this);">
<input type="hidden" name="cmd" value="LOGIN">

<!-- <img src="<c:url value="/pc/img/LOGO.gif"/>" alt="xGate">  -->

<div class="waku">

  <div class="title_bar">ログイン</div>

  <table>
    <tr>
      <td class="name_cell" valign="middle">ユーザー名</td>
      <td class="value_cell" valign="middle"><input  name="subno" value="<%=subno%>" ></td>
    </tr>
    <tr>
      <td class="name_cell" valign="middle"><%=passwordMessage%></td>
      <td class="value_cell" valign="middle"><input type="password" name="password" autocomplete="<%=autoComplete%>"></td>
    </tr>
  </table>
  
  <div class="submit_cell" >
    <input type="submit" value="OK" class="cmd_btn">
<!--
    <a href="javascript:postData()" class="cmd_btn">OK</a>
-->
  </div>

</div>

<%@ include file="caution.jsp" %>

<div class="copy_right"> 
  Copyright（c）2000-2010 Orangesoft Inc.
</div>

</form>

</body>
</html>
